> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Channels

> Get info about channels and channel capabilities.



## OpenAPI

````yaml api-reference/openapi.json get /support/channels
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /support/channels:
    get:
      tags:
        - support
      summary: Get info about channels and channel capabilities.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        channel:
                          $ref: '#/components/schemas/Channel'
                        label:
                          description: Readable label of channel.
                          type: string
                          example: System
                        gdpr_approved:
                          description: >-
                            Flag to indicate if the channel can be used to send
                            sensitive information.
                          type: boolean
                        conversation_capabilities:
                          type: array
                          items:
                            anyOf:
                              - $ref: '#/components/schemas/ConversationCapability'
                        message_type:
                          type: array
                          items:
                            anyOf:
                              - $ref: '#/components/schemas/MessageType'
                        session_hours:
                          description: >
                            Number of hours a conversation session is valid.

                            After that time, a reply to a conversation will
                            probably not be possible.

                            Implementation differs by channel.
                          type: integer
components:
  schemas:
    Channel:
      description: Type of messenger service.
      type: string
      enum:
        - bridge
        - whatsapp
        - widget
    ConversationCapability:
      description: Capability of a channel in a conversation.
      type: string
      enum:
        - message_initiate_any
        - message_initiate_template
        - message_receive_any
        - message_reply_any
    MessageType:
      description: Type of message content.
      type: string
      enum:
        - text
        - image
        - video
        - audio
        - document
        - location
        - contact
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````